@ECHO OFF

::  Filename:   STAMP.BAT
::  Does:       Demonstrates use of TIMESTMP.EXE to stamp
::              a one line entry in any text file.
::  To use:     Start with name of file as command line parameter,
::                      such as STAMP MYFILE.TXT

::  Written:    4-Jan-96  by Russ Bellew


IF EXIST TIMESTMP.EXE GOTO Continue

ECHO Warning: TIMESTMP.EXE not found in this directory.
PAUSE

:Continue
IF "%1"=="" GOTO FileNotSpecdError
IF "%1"=="?" GOTO Help
IF NOT EXIST %1 GOTO NoFileError
ECHO Working on file %1 . . .
TYPE %1|TIMESTMP /N /12 /L>NEW.FIL
IF EXIST STAMPFIL.BAK DEL STAMPFIL.BAK
REN %1 STAMPFIL.BAK
REN NEW.FIL %1
ECHO Done!
GOTO End

:FileNotSpecdError
ECHO.
ECHO ERROR: You didn't specify a file name.
ECHO You must specify the name of an existing ASCII (or "text") file on your
ECHO command line, such as in this example:
ECHO.
ECHO    %0 MYFILE.TXT
ECHO.
ECHO Try again.
GOTO End

:NoFileError
ECHO.
ECHO Problem running %0: Sorry!  Couldn't find file %1.
ECHO.
GOTO End

:Help
ECHO.
ECHO                                %0 Help
ECHO.
ECHO Use this batch file, together with TIMESTMP.EXE, to stamp today's
ECHO date and time at the top of an ASCII file.
ECHO.

:End
